<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include ("include/images/images_mod.class.php");

class artigomini extends elemento{
	
	private $estados = array(0=>"Por aprovar",1=>"Aprovado",2=>"Não aprovado");
	private $estados_lista = array(0=>"Por aprovar",1=>"Aprovado",2=>"Não aprovado", 3=>"Antigo");
	
	function artigomini() {
        $c= new categoria;
    }

    
    function preview($id=""){
    	$this->guardar($id);
    }
    
  
	function guardar($id=0){

		$trata = new images_mod($this->req);
		$this->req['imagem']= $trata->trataimagem_escolhe('imagem', "../netimages/artigomini/");
				
		$this->req['permatitulo']=generate_seo_titulo1($this->req['titulo'], $this->tipo, $id);
		$this->req['permalink']=generate_seo_link($this->req['permatitulo'], $this->req['idCat']);
		//$this->tratafile('video');
		
		if($this->req['data'] == "0000-00-00") $this->req['data'] =  date("Y-m-d");
		
// 		if ($this->req['destaque']){
// 			$db= new dbElemento;
// 			$sql="update " . $this->tipo ." set destaque=0 where " . $this->idCat;
// 			$db->set($sql);
// 		}
		
		$id=parent::guardar($id);

	}
	

	

	function editar($id=""){

        $db= new dbElemento;
		$linha=@$db->getLinha($this->tipo, $id);

		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		
		$f->titulo("",1,"",$f->textodireita);
		
		//$f->campoSimNao("Largura dupla", "largura_dupla");
		
		//$f->campoTexto("Título Topo","lead");
		

		$f->campoImagem3("Imagem","imagem", 800,368);
		//$f->campoAreaTexto("Video (embed) ","embed");
				
				
		$f->campoTexto("Título","titulo" );
//		$f->campoTexto("Subtitulo","subtitulo");
//		$f->campoData2("Data", "data");
		$f->campoHTML("Texto", "texto");
/*		if ($this->idCat >=20 && $this->idCat <=22  ){
			$f->campoFicheiro2("Ficheiro","ficheiro");
		}*/
		//$f->campoTexto("Altura Campo texto px (default 200px)","altura_texto" );
		//$f->campoSimNao("Tem scroll", "scroll");
		
		
		//include ("mod/artigo/artigo_ficheiro.php");
		//include ("mod/artigo/artigo_artigo.php");
		//include ("mod/artigo/artigo_imagem.php");

		$f->campoTexto("SEO: Palavras chave","tagpalavras" );
		$f->campoTexto("SEO: Descrição","tagdescricao" );
		$f->campoValor("ordem", $linha["ordem"]);
		//$f->campoSimNao("Destaque", "destaque");

		
		$f->campoBotaoPreview($linha['permalink'],"../artigomini_detalhe.php");
		
		$f->campoSimNao("Activo", "estado");
		//include ("include/pendentes.inc.php");
		//include ("include/nao_aprovados.inc.php");
		
		/*echo "<p class='pendentes'>";
			echo "<label>Comentários</label>";
			echo "<a style='text-decoration:underline' href='main.php?tipo=comentario&idEstrangeiro=".$linha['id']."&tipoEstrangeiro=artigo'>Ver</a> ";
		echo "</p>";*/
		
		$sys_data = (($linha['sys_data'] != "0000-00-00")) ? $linha['sys_data'] : date("Y-m-d");
		$sys_hora = (($linha['sys_hora'] != "00:00:00")) ? $linha['sys_hora'] : date("H:i");
		$f->campoValor('sys_autor', $linha['sys_autor'] ? $linha['sys_autor'] : $_SESSION['authdata']['login']);
		$f->campoValor('sys_data', $sys_data);
		$f->campoValor('sys_hora', $sys_hora);
		
		//if($linha["data"] == "0000-00-00") $linha["data"] =  date("Y-m-d");
		//$f->campoValor('data', $linha["data"]);
		
		$f->mostra();
	}
	

	function listar($id=""){
		
		
		
        
        $campos=array("Nr"=>"id","Titulo"=>"titulo",/*"Data"=>"data",*/ "Ordem"=>"ordem", /*"Destaque"=>"destaque",*/ "Activo"=>"estado");
        
// 	    if(is_numeric($this->req['estado']) && $this->req['estado'] < 999){
// 			$this->req['filtro']['estado'] = $this->req['estado'];
// 			$valor_estado =  $this->req['filtro']['estado'];
//         }
//         else if ($this->req['estado'] == 999){
//         	$this->req['filtro']['estado'] = "";
//         	$valor_estado = 999;
//         }else{
//         	$this->req['filtro']['estado'] = 1;
//         	$valor_estado =  $this->req['filtro']['estado'];
//         }
        
        $db= new dbElemento;
        
        $dados=$db->getLista($this->tipo, $this->idCat, $campos , "id", 2 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
                
		$max = sizeof($dados);
//         for($i = 0; $i< $max;$i++){
//         	$dados[$i]['estado'] = 	$this->estados_lista[$dados[$i]['estado']];
//         	$dados[$i]['destaque'] = $dados[$i]['destaque']?"X":"";
// 		}	
        $f= new lista($campos, $dados, $this->req);
	
        $toolbar= new toolbar(); 
		$toolbar->botao_l("Novo", 50);
		if ($_SESSION['authdata']['super']) $toolbar->botao2_l("Mover", 50);
		$toolbar->botao2_l("Copiar", 50);
		if ($_SESSION['authdata']['super']) $toolbar->botao2_l("Apagar", 50);
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		//$toolbar->escolhe2("Estado","estado", $this->estados_lista, $valor_estado ,true);	
		$toolbar->procurar($this->req['procurar']);  
		$toolbar->botao_l("procurar", 90);
		$toolbar->fim();

		$f->titulo();
		//$f->cabeca();
		$f->cabecaSimples();
		//$f->cabecaSimples("Comentários");
		
        //$f->filtros();
        //$f->tabela(true);
        if ($_SESSION['authdata']['super'])
			$f->tabela(false, true, true, 2, false);
		else
			$f->tabela(false, false, false, 2, false);
		
			
		$f->mostra();
	}
	
	
}
?>
